package client;


/**
 * Class Description - 
 * 
 * @author sli
 * 
 * @version $Revision: #3 $  $Date: 2016/06/24 $
 *
 * <!--
 * MedPlus, Inc., 4690 Parkway Drive, Mason, Ohio 45040, U.S.A.
 * (c) 1995-2007 MedPlus, Inc. All Rights Reserved.
 *
 * MedPlus, the MedPlus logo, Care360 Hub, the Care360 logo are trademarks, registered trademarks, 
 * or service marks of MedPlus, Inc. in the United States and other countries. MedPlus, Inc., is a 
 * wholly owned subsidiary of Quest Diagnostics Incorporated. Quest, Quest Diagnostics, the associated 
 * logo and all associated Quest Diagnostics marks are the trademarks of Quest Diagnostics Incorporated.
 * -->
 */
public class TestcompendiumsAckResponse {
    private String transactionId;
    private String fileName;
    private String status; 
    private String errorMessage;
    
    public TestcompendiumsAckResponse() {
	super();
    }

    public TestcompendiumsAckResponse(String transactionId, String fileName, String status) {
	super();
	this.transactionId = transactionId;
	this.fileName = fileName;
	this.status = status;
    }
    
    public TestcompendiumsAckResponse(String transactionId, String fileName, String status, String errorMessage) {
	this(transactionId,fileName, status);
	this.errorMessage = errorMessage;
    }
    
    /**
     * Echo the requested transaction UID
     *
     * @return Transaction UID
     */
    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }
    
    
    /**
     * Report back ack status 
     *
     * @return "SUCCESS" or "ERROR"
     */
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    
    /**
     * Report back error message
     *
     * @return Details of errors 
     */
    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    /**
     * Echo back the requested file name 
     *
     * @return Acked file name 
     */
    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

}

